Bug 47592 - FILEOPEN: Print range not loading in some file(s) with links to another file
Summary: FILEOPEN: Print range not loading in some file(s) with links to another file
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
3.4.5 release
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords:
Depends on:
Blocks: Print-Range
  Show dependency treegraph
 
Reported: 2012-03-20 08:58 UTC by ron gregor
Modified: 2018-07-31 02:33 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
1709bp manaul.ods which links to upgrade.ods (33.89 KB, application/zip)
2012-03-20 08:58 UTC, ron gregor
Details
zip with my test files (69.60 KB, application/zip)
2012-04-19 14:13 UTC, Cor Nouws
Details
zipped simpler print range test (13.08 KB, application/x-zip-compressed)
2012-04-20 06:16 UTC, ron gregor
Details

Note You need to log in before you can comment on or make changes to this bug.
Description ron gregor 2012-03-20 08:58:07 UTC
Created attachment 58764 [details]
1709bp manaul.ods which links to upgrade.ods

Problem description: print range not always loading

Steps to reproduce:
I have attached 2 sample spreadsheets 1709bp manual.ods and upgrade.ods. 1709bp manual.ods will not load print ranges when it uses 3 links to upgrade.ods. I can define print ranges and save the file. If I open 1709bp manual.ods with zip program the content.xml file has a “print-ranges” entry. I open the file and no print range is available. If you save the “print-range” entry is no longer in content.xml. If I use an apostrophe to make links into labels, define a print range and save then next time I open 1709bp manual.ods the print range is there. For file 1709bp manaul.ods I created a new ods file and manually typed in all the information to avoid any possible problems carrying over from old files. I also tested 3.4.5 and it had the same problem.

Current behavior: not always loading print range

Expected behavior: to always load print range

Platform (if different from the browser): win xp
              
Browser: Mozilla/5.0 (Windows NT 5.1; rv:8.0.1) Gecko/20100101 Firefox/8.0.1
Comment 1 Cor Nouws 2012-04-16 11:14:34 UTC
Hi Ron,

(In reply to comment #0)

> Problem description: print range not always loading

Can you pls explain how / what you links as print range? That could help me to reproduce / understand the issue.

thanks,
Cor
Comment 2 Cor Nouws 2012-04-16 11:15:16 UTC
the poster has the problem also in 3.4.5
Comment 3 ron gregor 2012-04-17 07:13:43 UTC
When the file 1709bp manual.ods is opened in libre office and has links to upgrade.ods file the print range A:3 to I:64 is not loaded. If I open this in openoffice the print ranges are loaded. If you remove the links from 1709bp manual.ods in cells O:12, O:13, and O:14 create a new print range, save, close and reopen the print range loads. It seems the links are effecting the print range loading. If I look inside the 1709bp manual.ods file using a zip manager and search inside the content.xml file I can see what appears to be the print range setting. We would need to get someone that knows the ods file format to confirm this. Then they can confirm that a print range is defined but not loading without making changes to the sample files.
Comment 4 Cor Nouws 2012-04-17 08:37:39 UTC
(In reply to comment #3)
> We would need to get someone that knows the ods file format to
> confirm this. 

I know it enough to confirm what is in there or not.
Pls try to answer my simple questions in the previous comment.
Thanks
Comment 5 ron gregor 2012-04-17 09:14:13 UTC
(In reply to comment #4)
> (In reply to comment #3)
> > We would need to get someone that knows the ods file format to
> > confirm this. 
> 
> I know it enough to confirm what is in there or not.
> Pls try to answer my simple questions in the previous comment.
> Thanks

There are 2 files. The first file has a print range defined. The print range will not load when the first file has links to a second file. I have no idea why the links are effecting the loading of the print range as these two items should be separate. When the first file has the links removed and a print range created the print range loads.

-create file 1 with print range defined and links to a second file.
-when you load file 1 print range is not loaded.
-in file 1 remove links and recreate print range (as it will have been lost once not loaded and file is saved).
-open file 1 (now without links) and the print range loads.

Just so you know openoffice always loads the print range so this points to the problem being in libreoffice.

Thanks for trying to help get this fixed, Ron
Comment 6 Cor Nouws 2012-04-19 14:12:50 UTC
@ ron,

(Sorry that it took me some days..)

(In reply to comment #5)
> There are 2 files. The first file has a print range defined. The print range
> will not load when the first file has links to a second file. I have no idea
> why the links are effecting the loading of the print range as these two items
> should be separate. 

Ah now I see. You don't have the print range as link. Sorry, that was not clear to me.

> Just so you know openoffice always loads the print range so this points to the
> problem being in libreoffice.

I'll attach my test files. Created in 3.5.2.2.
I cannot reproduce the problem with new files.

But if I add a print range to your 1709BP manual.ods, save and reopen, indeed the print range is gone...
Maybe there's more with your file, or with the links?

It is not (purely) that within the print range cells are linked to the cells that are linked to the other sheet. Anyway, when I change that to my test file, it still continues to work.

Any idea what could be special at your file?
Can you reproduce it with new (simple) files ?

thanks,
Cor
Comment 7 Cor Nouws 2012-04-19 14:13:26 UTC
Created attachment 60338 [details]
zip with my test files
Comment 8 ron gregor 2012-04-20 06:12:53 UTC
(In reply to comment #6)
> @ ron,
> 
> (Sorry that it took me some days..)
> 
> (In reply to comment #5)
> > There are 2 files. The first file has a print range defined. The print range
> > will not load when the first file has links to a second file. I have no idea
> > why the links are effecting the loading of the print range as these two items
> > should be separate. 
> 
> Ah now I see. You don't have the print range as link. Sorry, that was not clear
> to me.
> 
> > Just so you know openoffice always loads the print range so this points to the
> > problem being in libreoffice.
> 
> I'll attach my test files. Created in 3.5.2.2.
> I cannot reproduce the problem with new files.
> 
> But if I add a print range to your 1709BP manual.ods, save and reopen, indeed
> the print range is gone...
> Maybe there's more with your file, or with the links?
> 
> It is not (purely) that within the print range cells are linked to the cells
> that are linked to the other sheet. Anyway, when I change that to my test file,
> it still continues to work.
> 
> Any idea what could be special at your file?
> Can you reproduce it with new (simple) files ?
> 
> thanks,
> Cor

I have created 2 new test files and the print range is not loading. I was able to open your sample files and the print range did load.
I am running Win Xp and have seen this problem on 3 different systems in our office. What OS are you running?
Comment 9 ron gregor 2012-04-20 06:16:09 UTC
Created attachment 60384 [details]
zipped simpler print range test
Comment 10 HD 2012-06-13 18:48:20 UTC
Would this bug be related to bug 51022?
Comment 11 ron gregor 2012-06-14 05:22:57 UTC
(In reply to comment #10)
> Would this bug be related to bug 51022?

This does look like the same bug. I was testing with single sheet files so I never got the connection that it only happens on the last sheet. This would also explain why a most users would not see the problem since the default starts with 3 sheets and most users just leave the extra sheets.
Now if we can just get someone to fix this instead of spending time on 1 of the 14 releases scheduled for this year. I don't need 14 updates a years just a few with less bugs. Just so you know AOO 3.4 does not have this bug and that is the current "work around" I am using until LO gets this fixed. Just a little venting since without the bugs stopping us I do like LO better and we are trying to get our 3 companies to switch over from AOO to LO.
Comment 12 ron gregor 2012-08-01 13:18:05 UTC
How do we get someone to set this to "confirmed" so that we can get this issue worked on and resolved??? Someone else reported bug 51022 which does seem to be a duplicate. If these are duplicate bugs can we get one marked as duplicate and the other marked as "confirmed" so work can begin on getting this fixed. This problem has stopped us from using Libreoffice because it affects us on a daily basis.
Thanks, Ron
Comment 13 ron gregor 2012-09-12 19:02:23 UTC
This bug still exists in 3.6.1.2
Comment 14 mlp 2013-01-10 13:49:10 UTC
2013, a new dawn... And the bug remains! Libre Office issue 3.6.4.3 presents the same fault.
Comment 15 QA Administrators 2015-02-19 15:46:04 UTC Comment hidden (obsolete)
Comment 16 ron gregor 2015-03-05 20:33:30 UTC
I can confirm that this bug still exist in 4.4.1
Comment 17 tommy27 2016-04-16 07:23:35 UTC Comment hidden (obsolete)
Comment 18 ron gregor 2016-05-26 15:23:01 UTC
This bug still exists in version 5.1.3
Comment 19 QA Administrators 2018-07-31 02:33:49 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug